Bug 834475 - SELinux: Permission ptrace_child in class process not defined in policy.
SELinux: Permission ptrace_child in class process not defined in policy.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-21 20:27 EDT by Julian C. Dunn
Modified: 2012-07-17 13:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-17 13:28:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Julian C. Dunn 2012-06-21 20:27:55 EDT
Description of problem:

Above notice shows up in kernel dmesg buffer. I believe it happened after a recent update of the selinux-policy-targeted

Version-Release number of selected component (if applicable):

selinux-policy.noarch 3.10.0-132.fc17
selinux-policy-devel.noarch 3.10.0-132.fc17
selinux-policy-targeted.noarch 3.10.0-132.fc17

How reproducible:

Always.

Steps to Reproduce:
1. Boot the system
2.
3.
  
Actual results:

[   10.261055] SELinux:  Permission ptrace_child in class process not defined in policy.
[   10.261163] SELinux: the above unknown classes and permissions will be allowed

Expected results:

Not expecting to see such an error.

Additional info:
Comment 1 Miroslav Grepl 2012-06-28 08:11:10 EDT
Fixed in selinux-policy-targeted.noarch 3.10.0-135.fc17
Comment 2 Fedora Update System 2012-07-04 02:41:57 EDT
selinux-policy-3.10.0-137.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-137.fc17
Comment 3 Fedora Update System 2012-07-05 19:36:59 EDT
Package selinux-policy-3.10.0-137.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-137.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10279/selinux-policy-3.10.0-137.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-07-17 13:28:16 EDT
selinux-policy-3.10.0-137.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.